package com.xubx.springboot_01demo.service;

import com.alibaba.fastjson.JSONObject;
import com.xubx.springboot_01demo.pojo.Relationship;
import com.xubx.springboot_01demo.pojo.User;
import com.xubx.springboot_01demo.utils.api.Result;

import java.util.List;

public interface UserService {
    //登陆判断
    Boolean findUserByUsername(User user);
    //新增用户
    Boolean insertUser(User user);
    //添加头像
    void addAvatar(String path,String username);
    //获取头像地址
    String getAvatar(String name);
    //5.修改用户名
    boolean usernameChange(String usernameNow,String username);
    //6.修改密码
    boolean passwordChange(String username,String oldPassword,String newPassword);

    JSONObject checkFriendRequest(String getuserId);
}
