package com.xubx.springboot_01demo.service.impl;

import com.xubx.springboot_01demo.mapper.BlogsMapper;
import com.xubx.springboot_01demo.pojo.Blogs;
import com.xubx.springboot_01demo.service.BlogService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class BlogsServiceImpl implements BlogService {
    @Resource
    BlogsMapper blogsMapper;
    @Override
    public List<Blogs> findAllBlogs() {
        return blogsMapper.findAllBlogs();
    }

    @Override
    public Blogs findByIdBlogs(int id) {
        return blogsMapper.findByIdBlogs(id);
    }

    @Override
    public void addBlogs(Blogs blogs) {
        blogsMapper.addBlogs(blogs);
    }

    @Override
    public void updateBlogs(Blogs blogs) {
        blogsMapper.updateBlogs(blogs);
    }

    @Override
    public void deleteBlogs(int id) {
        blogsMapper.deleteBlogs(id);
    }
}
